﻿namespace Phoenix.Model.Bll.Domain
{
    using System;

    /// <summary>
    /// Represent a meeting. 
    /// </summary>
    public class Meeting : Poco
    {
        #region Fields

        private MeetingType m_MeetingType;

        #endregion Fields

        #region Constructors

        public Meeting()
        {
            this.IsPersonal = true;
        }

        #endregion Constructors

        #region Properties

        public virtual DateTime EndDate
        {
            get;
            set;
        }

        public virtual bool IsPersonal
        {
            get; protected set;
        }

        public virtual string Remark
        {
            get;
            set;
        }

        public virtual DateTime StartDate
        {
            get;
            set;
        }

        public virtual string Title
        {
            get;
            set;
        }

        public virtual MeetingType Type
        {
            get { return m_MeetingType; }
            set { m_MeetingType = value; }
        }

        #endregion Properties

        #region Methods

        /// <summary>
        /// Returns a <see cref="System.String"/> that represents this instance.
        /// </summary>
        /// <returns>
        /// A <see cref="System.String"/> that represents this instance.
        /// </returns>
        public override string ToString()
        {
            string from = this.StartDate.ToShortDateString() + " " + StartDate.ToShortTimeString();
            string to = this.EndDate.ToShortDateString() + " " + EndDate.ToShortTimeString();

            return string.Format("[{0}] from {1} to {2}", this.Title, from, to);
        }

        #endregion Methods
    }
}