﻿namespace Phoenix.Presenter.Interfaces.Manager
{
    using System;

    using Phoenix.Helpers.Misc;
    using Phoenix.Model.Bll.Domain;

    /// <summary>
    /// A manager to manage BMI history of a patient.
    /// </summary>
    public interface IBmiManagerPresenter : IManager
    {
        #region Events

        /// <summary>
        /// Occurs when deleting a BMI entry.
        /// </summary>
        event EventHandler<EventArgs<BMI>> Deleted;

        /// <summary>
        /// Occurs when the view is refreshed.
        /// </summary>
        event EventHandler Refreshed;

        #endregion Events
    }
}