﻿namespace Phoenix.View.Frame
{
    using System;

    using Phoenix.Helpers.Winforms.Logging;

    /// <summary>
    /// Show logs in a listView
    /// </summary>
    public partial class ListViewLogFrame : TranslateableForm
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="ListViewLogFrame"/> class.
        /// </summary>
        public ListViewLogFrame()
        {
            InitializeComponent();
            ListViewAppender.Configure(this.lv_Logs, this.il_Images);
        }

        #endregion Constructors

        #region Methods

        private void lv_Logs_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (this.lv_Logs.SelectedItems.Count == 0) return;
            this.tb_Text.Text = this.lv_Logs.SelectedItems[0].SubItems[2].Text;
        }

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            this.lv_Logs.Items.Clear();
        }

        private void tsb_OpenLog_Click(object sender, EventArgs e)
        {
            GuiManager.OpenLogDirectory();
        }

        #endregion Methods
    }
}