﻿namespace Phoenix.View.Helpers.Controls
{
    using System.Drawing;
    using System.Windows.Forms;

    /// <summary>
    /// A separator
    /// </summary>
    public partial class Separator : UserControl
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="Separator"/> class.
        /// </summary>
        public Separator()
        {
            InitializeComponent();
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the default size for the control
        /// </summary>
        /// <value></value>
        /// <returns>
        /// The default <see cref="T:System.Drawing.Size"/> of the control.
        /// </returns>
        public static Size PredifinedSize
        {
            get
            {
                return new Size(221, 26);
            }
        }

        /// <summary>
        /// The text associated with this control.
        /// </summary>
        /// <value>The text associated with this control.</value>
        /// <returns>
        /// The text associated with this control.
        /// </returns>
        public string Title
        {
            get
            {
                return this.label.Text;
            }
            set
            {
                this.label.Text = value;
            }
        }

        #endregion Properties
    }
}