﻿namespace Phoenix.View.Input
{
    using System;
    using System.Windows.Forms;

    /// <summary>
    /// Get a box to receive date input from the user
    /// </summary>
    public partial class DateTimeInput : Form
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="DateTimeInput"/> class.
        /// </summary>
        public DateTimeInput()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="DateTimeInput"/> class.
        /// </summary>
        /// <param name="toDisplay">Date to display.</param>
        public DateTimeInput(DateTime toDisplay)
            : this()
        {
            this.dtp_DateTime.Value = toDisplay;
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the value the user entered in the control.
        /// </summary>
        /// <value>The value.</value>
        public DateTime Value
        {
            get
            {
                return this.dtp_DateTime.Value;
            }
            set
            {
                this.dtp_DateTime.Value = value;
            }
        }

        #endregion Properties

        #region Methods

        private void btn_OK_Click(object sender, EventArgs e)
        {
            this.DialogResult = System.Windows.Forms.DialogResult.OK;
            this.Close();
        }

        private void SimpleTextBox_Load(object sender, EventArgs e)
        {
        }

        #endregion Methods
    }
}