﻿namespace Phoenix.View.Input
{
    using System;

    using log4net;

    /// <summary>
    /// Get a box to receive text input from the user
    /// </summary>
    public partial class TextBoxInput : TranslateableForm
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="TextBoxInput"/> class.
        /// </summary>
        public TextBoxInput()
        {
            InitializeComponent();
            this.TranslateForm();

            base.Logger = LogManager.GetLogger(typeof(TextBoxInput));
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="TextBoxInput"/> class.
        /// </summary>
        /// <param name="title">The title.</param>
        public TextBoxInput(string title)
            : this()
        {
            this.Text = title;
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets or sets the value the user entered in the control.
        /// </summary>
        /// <value>The value.</value>
        public string Value
        {
            get
            {
                return this.tb_Value.Text;
            }
            set
            {
                this.tb_Value.Text = value;
            }
        }

        #endregion Properties

        #region Methods

        private void btn_OK_Click(object sender, EventArgs e)
        {
            this.DialogResult = System.Windows.Forms.DialogResult.OK;
            this.Close();
        }

        private void SimpleTextBox_Load(object sender, EventArgs e)
        {
        }

        #endregion Methods
    }
}