﻿namespace Phoenix.Helpers.Misc
{
    using System;

    /// <summary>
    /// Contains tools to debug in the console
    /// </summary>
    public static class ConsoleHelper
    {
        #region Methods

        /// <summary>
        /// Put a new empty line into the console.
        /// </summary>
        public static void NewLine()
        {
            Console.WriteLine(string.Empty);
        }

        /// <summary>
        /// Pauses the console.
        /// </summary>
        public static void Pause()
        {
            Console.Write("Press any key to continue... ");
            Console.ReadKey();
            ConsoleHelper.NewLine();
        }

        /// <summary>
        /// Display a message and obtains the next character or function key pressed by the user. The pressed
        ///     key is displayed in the console window.
        /// </summary>
        /// <param name="message">The message to display.</param>
        /// <returns></returns>
        public static ConsoleKeyInfo ReadKey(string message)
        {
            Console.Write(message);
            return Console.ReadKey();
        }

        #endregion Methods
    }
}