﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using Phoenix.Revision.Helpers;
using System.Text.RegularExpressions;

namespace RevisionUpdater
{
    class Program
    {
        private static string debugPath = @"C:\Projects\Phoenix\trunk\Phoenix\Phoenix.Host\Version.cs";
        static void Main(string[] args)
        {
#if DEBUG
            args = new string[1];
            args[0] = debugPath;
#else
            if (args.Length != 1)
            {
                Console.WriteLine("Please put the path for Version.cs file");
                return;
            }

#endif


            try
            {
                string text = string.Empty;
                using (TextReader reader = new StreamReader(args[0]))
                {
                    Regex regex = new Regex(".\\d{1,4}\\\"\\)\\]");
                    text = reader.ReadToEnd();
                    text = regex.Replace(text, string.Format(
                        ".{0}\")]", Revision.CalculateRevision(DateTime.Now).ToString()));
                }

                using (TextWriter writer = new StreamWriter(args[0]))
                {
                    writer.Write(text);
                    writer.Flush();
                }
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex);
#if DEBUG
                Console.WriteLine("Press <ENTER> to continue.");
                Console.ReadLine();
#endif
            }
        }
    }
}
