namespace System.Windows.Forms.Calendar
{
    /// <summary>
    /// Contains information about a <see cref="CalendarTimeScaleUnit"/> that is about to be painted
    /// </summary>
    public class CalendarRendererTimeUnitEventArgs : CalendarRendererEventArgs
    {
        #region Fields

        private CalendarTimeScaleUnit _unit;

        #endregion Fields

        #region Constructors

        public CalendarRendererTimeUnitEventArgs(CalendarRendererEventArgs original, CalendarTimeScaleUnit unit)
            : base(original)
        {
            _unit = unit;
        }

        #endregion Constructors

        #region Properties

        /// <summary>
        /// Gets the unit that is about to be painted
        /// </summary>
        public CalendarTimeScaleUnit Unit
        {
            get { return _unit; }
        }

        #endregion Properties
    }
}